/api/v1/facilities/{facilityId}/outbound/carton-types/{cartonTypeId} (PUT)
PUT
/api/v1/facilities/{facilityId}/outbound/carton-types/{cartonTypeId}
const url = 'https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/outbound/carton-types/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"code":"example","name":"example","length":1,"width":1,"height":1,"lengthUnit":"Cm","tareWeight":1,"weightUnit":"Kg"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/outbound/carton-types/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "code": "example", "name": "example", "length": 1, "width": 1, "height": 1, "lengthUnit": "Cm", "tareWeight": 1, "weightUnit": "Kg" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”facilityId
required
string format: uuid
cartonTypeId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”object
code
string
name
string
length
number format: double
width
number format: double
height
number format: double
lengthUnit
string
tareWeight
number format: double
weightUnit
string
object
code
string
name
string
length
number format: double
width
number format: double
height
number format: double
lengthUnit
string
tareWeight
number format: double
weightUnit
string
object
code
string
name
string
length
number format: double
width
number format: double
height
number format: double
lengthUnit
string
tareWeight
number format: double
weightUnit
string
Responses
Section titled “Responses”OK
object
id
required
string format: uuid
code
required
string
name
required
string
length
required
number format: double
width
required
number format: double
height
required
number format: double
lengthUnit
required
string
tareWeight
required
number format: double
weightUnit
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
object
id
required
string format: uuid
code
required
string
name
required
string
length
required
number format: double
width
required
number format: double
height
required
number format: double
lengthUnit
required
string
tareWeight
required
number format: double
weightUnit
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "lengthUnit": "Cm", "weightUnit": "Kg"}object
id
required
string format: uuid
code
required
string
name
required
string
length
required
number format: double
width
required
number format: double
height
required
number format: double
lengthUnit
required
string
tareWeight
required
number format: double
weightUnit
required
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "lengthUnit": "Cm", "weightUnit": "Kg"}Bad Request
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Conflict
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
string
title
string
status
integer format: int32
detail
string
instance
string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}